# Changelog

## We are moving release notes to [GitHub releases feature](https://github.com/tensorflow/tfjs/releases)

This file is now only for historical purposes. For an example see https://github.com/tensorflow/tfjs/releases/tag/tfjs-vis-v1.4.3

## [1.0.0] 2019-03-06
Major version upgrade including a number of **breaking changes**.

### Changed
All `render.*` functions now take a surface as their first parameter. This unifies the convention used in these functions and `show.*` functions.

In `heatmap` and `confusionMatrix` params, `xLabels/yLabels` has been renamed to `xtickLabels/yTickLabels` to more clearly distinguish it from the axis label (`xLabel/yLabel`).

### Removed
`show.confusionMatrix` has been removed in favor of using `render.confusionMatrix`

## [0.5.0] 2018-1-31
### Added
Support for rendering heatmaps with `render.heatmap`.

Sourcemaps now include sourcesContent to improve editor experience, particularly for typescript users.

## [0.4.0] 2018-12-07

### Changed
`confusionMatrix` now shades the diagonal by default. The chart also has improved
contrast between the text and the chart cells.

bugfixes for `metrics.confusionMatrix` on Safari

Improvements to chart rendering options to help prevent situations where the container
div grows on each render if dimensions were not specified in code or constrained by css.


## [0.3.0] 2018-11-06
### Added
`fontSize` can now be passed into render.* methods
`zoomToFit` and `yAxisDomain` are new options that linecharts and scatterplots
take to allow finer control over the display of the yAxis
`xAxisDomain` option added to scatterplots.

### Changed
`show.history` and `show.fitCallbacks` now take an optional `opts` parameter.
These allow passing configuration to the underlying charts as well as overriding
which callbacks get generated by `show.fitCallbacks`.

`show.history` and `show.fitCallbacks` will now automatically group a metric with
its corresponding validation metric and display them on the same chart. For example
if you have `['acc', 'val_acc', 'loss', 'val_loss']` as your metrics, these will
be rendered on two charts, one for the loss metrics and one for the accuracy metrics.
